edu.wpi.first.wpilibj

## Class Victor

- java.lang.Object
- - edu.wpi.first.wpilibj.SensorBase
  - - edu.wpi.first.wpilibj.PWM
    - - edu.wpi.first.wpilibj.SafePWM
      - - edu.wpi.first.wpilibj.PWMSpeedController
        - - edu.wpi.first.wpilibj.Victor

- All Implemented Interfaces:
    LiveWindowSendable, MotorSafety, PIDOutput, Sendable, SpeedController

      public class Victor
      extends PWMSpeedController

  VEX Robotics Victor 888 Speed Controller The Vex Robotics Victor 884 Speed Controller can also be used with this class but may need to be calibrated per the Victor 884 user manual.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class edu.wpi.first.wpilibj.PWM

      `PWM.PeriodMultiplier`

  - ### Field Summary

    - ### Fields inherited from class edu.wpi.first.wpilibj.SensorBase

      `kAnalogInputChannels, kAnalogOutputChannels, kDigitalChannels, kPCMModules, kPDPChannels, kPDPModules, kPwmChannels, kRelayChannels, kSolenoidChannels, kSystemClockTicksPerMicrosecond`

    - ### Fields inherited from interface edu.wpi.first.wpilibj.MotorSafety

      `DEFAULT_SAFETY_EXPIRATION`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Victor(int channel)` Constructor.

  - ### Method Summary

    - ### Methods inherited from class edu.wpi.first.wpilibj.PWMSpeedController

      `get, getInverted, pidWrite, set, setInverted`

    - ### Methods inherited from class edu.wpi.first.wpilibj.SafePWM

      `disable, feed, Feed, getDescription, getExpiration, isAlive, isSafetyEnabled, setExpiration, setSafetyEnabled, stopMotor`

    - ### Methods inherited from class edu.wpi.first.wpilibj.PWM

      `enableDeadbandElimination, free, getChannel, getPosition, getRaw, getRawBounds, getSmartDashboardType, getSpeed, initTable, setBounds, setDisabled, setPeriodMultiplier, setPosition, setRaw, setSpeed, setZeroLatch, startLiveWindowMode, stopLiveWindowMode, updateTable`

    - ### Methods inherited from class edu.wpi.first.wpilibj.SensorBase

      `checkAnalogInputChannel, checkAnalogOutputChannel, checkDigitalChannel, checkPDPChannel, checkPDPModule, checkPWMChannel, checkRelayChannel, checkSolenoidChannel, checkSolenoidModule, getDefaultSolenoidModule, setDefaultSolenoidModule`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface edu.wpi.first.wpilibj.SpeedController

      `disable, stopMotor`

- - ### Constructor Detail

    - #### Victor

          public Victor(int channel)

      Constructor.

      Note that the Victor uses the following bounds for PWM values. These values were determined empirically and optimized for the Victor 888. These values should work reasonably well for Victor 884 controllers also but if users experience issues such as asymmetric behaviour around the deadband or inability to saturate the controller in either direction, calibration is recommended. The calibration procedure can be found in the Victor 884 User Manual available from VEX Robotics: http://content.vexrobotics.com/docs/ifi-v884-users-manual-9-25-06.pdf

      - 2.027ms = full "forward" - 1.525ms = the "high end" of the deadband range - 1.507ms = center of the deadband range (off) - 1.49ms = the "low end" of the deadband range - 1.026ms = full "reverse"

      Parameters:
        `channel` - The PWM channel that the Victor is attached to. 0-9 are on-board, 10-19 are on the MXP port